<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.create.formation</name>
<version>2</version>
<engineversion>25</engineversion>
<description>create a formation and return leader</description>
<arguments>
<argument index="1" name="List" type="Value" desc="Array of ships" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$nb&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$List</var></line>
<line linenr="002" indent=""></line>
<line linenr="003" indent=""><var>$leader&#160;=&#160;</var><var>$List</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="004" indent=""><var>$x&#160;=&#160;</var><var>0</var></line>
<line linenr="005" indent=""><var>if&#160;</var><var>$nb</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>1</var></line>
<line linenr="006" indent="&#160;"><var>while&#160;</var><var>$x</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$nb</var></line>
<line linenr="007" indent="&#160;&#160;"><var>$temp&#160;=&#160;</var><var>$List</var><text>[</text><var>$x</var><text>]</text></line>
<line linenr="008" indent="&#160;&#160;"><var>$temp&#160;-&gt;</var><text>&#160;add&#160;to&#160;formation&#160;with&#160;leader&#160;</text><var>$leader</var></line>
<line linenr="009" indent="&#160;&#160;"><text>inc&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="010" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="011" indent="&#160;"><text>end</text></line>
<line linenr="012" indent=""><text>end</text></line>
<line linenr="013" indent=""><text>return&#160;</text><var>$leader</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.create.formation" /><sval type="int" val="25" /><sval type="string" val="create a formation and return leader" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="5"><sval type="string" val="List" /><sval type="string" val="nb" /><sval type="string" val="leader" /><sval type="string" val="x" /><sval type="string" val="temp" /></sval><sval type="array" size="11"><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610167" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="5"><sval type="int" val="510" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Array of ships" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
